## ros-rolling-velodyne-gazebo-plugins 2.0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(velodyne_gazebo_plugins)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -Wpedantic")
endif()

find_package(ament_cmake REQUIRED)
find_package(gazebo_dev REQUIRED)
find_package(gazebo_ros REQUIRED)
find_package(gazebo_msgs REQUIRED)
find_package(rclcpp REQUIRED)
find_package(sensor_msgs REQUIRED)
find_package(tf2 REQUIRED)

include_directories(include)

add_library(gazebo_ros_velodyne_laser SHARED src/GazeboRosVelodyneLaser.cpp)
ament_target_dependencies(gazebo_ros_velodyne_laser
  "gazebo_dev"
  "gazebo_ros"
  "rclcpp"
  "sensor_msgs"
)
ament_export_libraries(gazebo_ros_velodyne_laser)

ament_export_include_directories(include)
ament_export_dependencies(rclcpp)
ament_export_dependencies(gazebo_dev)
ament_export_dependencies(gazebo_ros)
ament_export_dependencies(sensor_msgs)
ament_export_dependencies(tf2)

ament_package()

install(DIRECTORY include/
        DESTINATION include)

install(TARGETS
    gazebo_ros_velodyne_laser
    ARCHIVE DESTINATION lib
    LIBRARY DESTINATION lib
    RUNTIME DESTINATION lib/${PROJECT_NAME}
)

=== debian/changelog ===
ros-rolling-velodyne-gazebo-plugins (2.0.2-1focal) focal; urgency=high

  * Adds tf_prefix SDF parameter
  * Contributors: Micho Radovnikovich

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Mon, 27 Dec 2021 05:00:00 -0000

ros-rolling-velodyne-gazebo-plugins (2.0.1-1focal) focal; urgency=high



 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Thu, 14 Oct 2021 04:00:00 -0000

ros-rolling-velodyne-gazebo-plugins (2.0.0-1focal) focal; urgency=high

  * Merged in ROS2 Foxy support (pull request #14)
    * Remove support for old Gazebo versions
    * Lazy subscriber using timer in the absence of publisher connection callback
    * Python launch file
    * Add env-hooks for GAZEBO_MODEL_PATH
  * Contributors: Kevin Hallenbeck, Gonzalo de Pedro, Joep Tool

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Tue, 12 Oct 2021 04:00:00 -0000

ros-rolling-velodyne-gazebo-plugins (1.0.12-1focal) focal; urgency=high

  * Fix swapped PointCloud2 width/height
    Bug introduced in recent commit adding organize_cloud option
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Tue, 30 Mar 2021 04:00:00 -0000

ros-rolling-velodyne-gazebo-plugins (1.0.11-1focal) focal; urgency=high

  * Remove support for end-of-life ROS distributions
  * Add organize_cloud parameter to match velodyne_pointcloud
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Tue, 23 Feb 2021 05:00:00 -0000

ros-rolling-velodyne-gazebo-plugins (1.0.10-1focal) focal; urgency=high

  * Change PointCloud2 structure to match updated velodyne_pointcloud package
  * Bump minimum CMake version to 3.0.2 in all CMakeLists.txt
  * Contributors: Kevin Hallenbeck, Micho Radovnikovich

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Mon, 03 Aug 2020 04:00:00 -0000

ros-rolling-velodyne-gazebo-plugins (1.0.9-1focal) focal; urgency=high

  * Added min_intensity parameter to support cliping of low intensity returns
  * Contributors: Jonathan Wheare, Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Fri, 08 Mar 2019 05:00:00 -0000

ros-rolling-velodyne-gazebo-plugins (1.0.8-1focal) focal; urgency=high

  * Changed iteration order to more closely represent the live velodyne driver
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Sat, 08 Sep 2018 04:00:00 -0000

ros-rolling-velodyne-gazebo-plugins (1.0.7-1focal) focal; urgency=high

  * Added GPU support
  * Added support for Gazebo 9
  * Improved behavior of max range calculation
  * Removed trailing slashes in robot namespace
  * Fixed resolution of 1 not supported
  * Fixed issue with only 1 vert or horiz ray
  * Fixed cmake exports and warning
  * Contributors: Kevin Hallenbeck, Jacob Seibert, Naoki Mizuno

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Tue, 03 Jul 2018 04:00:00 -0000

ros-rolling-velodyne-gazebo-plugins (1.0.6-1focal) focal; urgency=high

  * Use robotNamespace as prefix for PointCloud2 topic frame_id by default
  * Use Gazebo LaserScan message instead of direct LaserShape access, fixes timestamp issue
  * Contributors: Kevin Hallenbeck, Max Schwarz, Micho Radovnikovich

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Tue, 17 Oct 2017 04:00:00 -0000

ros-rolling-velodyne-gazebo-plugins (1.0.5-1focal) focal; urgency=high

  * Fixed ground plane projection by removing interpolation
  * Contributors: Kevin Hallenbeck, Micho Radovnikovich

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Tue, 05 Sep 2017 04:00:00 -0000

ros-rolling-velodyne-gazebo-plugins (1.0.4-1focal) focal; urgency=high

  * Updated package.xml format to version 2
  * Removed gazebo_plugins dependency
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Mon, 24 Apr 2017 04:00:00 -0000

ros-rolling-velodyne-gazebo-plugins (1.0.3-1focal) focal; urgency=high

  * Gazebo7 integration
  * Contributors: Kevin Hallenbeck, Konstantin Sorokin

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Sat, 13 Aug 2016 04:00:00 -0000

ros-rolling-velodyne-gazebo-plugins (1.0.2-1focal) focal; urgency=high

  * Display laser count when loading gazebo plugin
  * Don't reverse ring for newer gazebo versions
  * Changed to PointCloud2. Handle min and max range. Noise. General cleanup.
  * Start from block laser
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Wed, 03 Feb 2016 05:00:00 -0000

=== debian/control ===
Source: ros-rolling-velodyne-gazebo-plugins
Section: misc
Priority: optional
Maintainer: Kevin Hallenbeck <khallenbeck@dataspeedinc.com>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-gazebo-dev, ros-rolling-gazebo-msgs, ros-rolling-gazebo-ros, ros-rolling-rclcpp, ros-rolling-sensor-msgs, ros-rolling-tf2, ros-rolling-ros-workspace
Homepage: http://wiki.ros.org/velodyne_gazebo_plugins
Standards-Version: 3.9.2

Package: ros-rolling-velodyne-gazebo-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-gazebo-dev, ros-rolling-gazebo-msgs, ros-rolling-gazebo-ros, ros-rolling-rclcpp, ros-rolling-sensor-msgs, ros-rolling-tf2, ros-rolling-ros-workspace
Description: Gazebo plugin to provide simulated data from Velodyne laser scanners.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-velodyne-gazebo-plugins//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-velodyne-gazebo-plugins 2.0.3

=== debian/changelog ===
ros-rolling-velodyne-gazebo-plugins (2.0.3-2jammy) jammy; urgency=high

  * Fix logger print warning
  * Update cmake for best practices based on other packages
  * Default to C++17
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Fri, 02 Dec 2022 08:00:00 -0000

ros-rolling-velodyne-gazebo-plugins (2.0.2-2jammy) jammy; urgency=high

  * Adds tf_prefix SDF parameter
  * Contributors: Micho Radovnikovich

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Mon, 27 Dec 2021 08:00:00 -0000

ros-rolling-velodyne-gazebo-plugins (2.0.1-2jammy) jammy; urgency=high



 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Thu, 14 Oct 2021 07:00:00 -0000

ros-rolling-velodyne-gazebo-plugins (2.0.0-2jammy) jammy; urgency=high

  * Merged in ROS2 Foxy support (pull request #14)
    * Remove support for old Gazebo versions
    * Lazy subscriber using timer in the absence of publisher connection callback
    * Python launch file
    * Add env-hooks for GAZEBO_MODEL_PATH
  * Contributors: Kevin Hallenbeck, Gonzalo de Pedro, Joep Tool

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Tue, 12 Oct 2021 07:00:00 -0000

ros-rolling-velodyne-gazebo-plugins (1.0.12-2jammy) jammy; urgency=high

  * Fix swapped PointCloud2 width/height
    Bug introduced in recent commit adding organize_cloud option
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Tue, 30 Mar 2021 07:00:00 -0000

ros-rolling-velodyne-gazebo-plugins (1.0.11-2jammy) jammy; urgency=high

  * Remove support for end-of-life ROS distributions
  * Add organize_cloud parameter to match velodyne_pointcloud
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Tue, 23 Feb 2021 08:00:00 -0000

ros-rolling-velodyne-gazebo-plugins (1.0.10-2jammy) jammy; urgency=high

  * Change PointCloud2 structure to match updated velodyne_pointcloud package
  * Bump minimum CMake version to 3.0.2 in all CMakeLists.txt
  * Contributors: Kevin Hallenbeck, Micho Radovnikovich

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Mon, 03 Aug 2020 07:00:00 -0000

ros-rolling-velodyne-gazebo-plugins (1.0.9-2jammy) jammy; urgency=high

  * Added min_intensity parameter to support cliping of low intensity returns
  * Contributors: Jonathan Wheare, Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Fri, 08 Mar 2019 08:00:00 -0000

ros-rolling-velodyne-gazebo-plugins (1.0.8-2jammy) jammy; urgency=high

  * Changed iteration order to more closely represent the live velodyne driver
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Sat, 08 Sep 2018 07:00:00 -0000

ros-rolling-velodyne-gazebo-plugins (1.0.7-2jammy) jammy; urgency=high

  * Added GPU support
  * Added support for Gazebo 9
  * Improved behavior of max range calculation
  * Removed trailing slashes in robot namespace
  * Fixed resolution of 1 not supported
  * Fixed issue with only 1 vert or horiz ray
  * Fixed cmake exports and warning
  * Contributors: Kevin Hallenbeck, Jacob Seibert, Naoki Mizuno

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Tue, 03 Jul 2018 07:00:00 -0000

ros-rolling-velodyne-gazebo-plugins (1.0.6-2jammy) jammy; urgency=high

  * Use robotNamespace as prefix for PointCloud2 topic frame_id by default
  * Use Gazebo LaserScan message instead of direct LaserShape access, fixes timestamp issue
  * Contributors: Kevin Hallenbeck, Max Schwarz, Micho Radovnikovich

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Tue, 17 Oct 2017 07:00:00 -0000

ros-rolling-velodyne-gazebo-plugins (1.0.5-2jammy) jammy; urgency=high

  * Fixed ground plane projection by removing interpolation
  * Contributors: Kevin Hallenbeck, Micho Radovnikovich

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Tue, 05 Sep 2017 07:00:00 -0000

ros-rolling-velodyne-gazebo-plugins (1.0.4-2jammy) jammy; urgency=high

  * Updated package.xml format to version 2
  * Removed gazebo_plugins dependency
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Mon, 24 Apr 2017 07:00:00 -0000

ros-rolling-velodyne-gazebo-plugins (1.0.3-2jammy) jammy; urgency=high

  * Gazebo7 integration
  * Contributors: Kevin Hallenbeck, Konstantin Sorokin

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Sat, 13 Aug 2016 07:00:00 -0000

ros-rolling-velodyne-gazebo-plugins (1.0.2-2jammy) jammy; urgency=high

  * Display laser count when loading gazebo plugin
  * Don't reverse ring for newer gazebo versions
  * Changed to PointCloud2. Handle min and max range. Noise. General cleanup.
  * Start from block laser
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Wed, 03 Feb 2016 08:00:00 -0000

=== debian/control ===
Source: ros-rolling-velodyne-gazebo-plugins
Section: misc
Priority: optional
Maintainer: Kevin Hallenbeck <khallenbeck@dataspeedinc.com>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-gazebo-dev, ros-rolling-gazebo-msgs, ros-rolling-gazebo-ros, ros-rolling-rclcpp, ros-rolling-sensor-msgs, ros-rolling-ros-workspace
Homepage: http://wiki.ros.org/velodyne_gazebo_plugins
Standards-Version: 3.9.2

Package: ros-rolling-velodyne-gazebo-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-gazebo-dev, ros-rolling-gazebo-msgs, ros-rolling-gazebo-ros, ros-rolling-rclcpp, ros-rolling-sensor-msgs, ros-rolling-ros-workspace
Description: Gazebo plugin to provide simulated data from Velodyne laser scanners.

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
 		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
